<?
require_once "inc/messages.php";
  include 'header.php';
  

/*
if(isset($_GET['pedidos'])){
  $pedidos = base64_decode(json_decode($_GET['pedidos']));
  // $id_crip  = $_GET['pedidos'];
  // $id_pedido= base64_decode($id_crip);
}
$pedido_liberado = $pedidos[0]->PedLibe; // Passar o Número do Pedido Liberado
$pedido_original = $pedidos[0]->PedOrig; // Exibir em tela o Número do Pedido Original
*/

if(isset($_GET['PedOrig'])){
  $crip_original = $_GET['PedOrig'];
  $pedido_original= base64_decode($crip_original);
}

if(isset($_GET['PedLibe'])){
  $crip_liberado = $_GET['PedLibe'];
  $pedido_liberado=base64_decode($crip_liberado);
}

/*
if(!isset($_GET['CodePdv'])){
  include 'header.php';
}
*/

echo "<br>Pedido Liberado: $pedido_liberado";
echo "<br>Pedido Original: $pedido_original";


?>
<div class="block">
    <div id="dialog" title="Confirmação" >
      <form method="post" action="" id=validateCustom>
        <input hidden type="text" name="id_pedido" id="id_pedido" value="<?=$pedido_liberado?>"/>
        <input hidden type="text" name="id_pedido_original" id="id_pedido_original" value="<?=$pedido_original?>"/>
        <span>Escolha uma das opções abaixo para Finalizar a Venda do Pedido N.ro
        <?php echo $pedido_liberado;?>?</span>
      <br>
      <br>
        <!--
        <input type="button" name="btn-fatura" id="btn-fatura" class="btn btn-primary">Faturar/>
        <input type="button" name="btn-recibo" id="btn-fatura" class="btn btn-default btn-cleanx">Recibo/>
        -->

        <button name="btn-fatura" id="btn-fatura" class="btn btn-primary">Faturar</button>
        <button name="btn-recibo" id="btn-recibo" class="btn btn-default btn-cleanx">Recibo</button>

      </form>
    </div>
</div>

<?php include 'footer.php';?>

<script>
  $(document).ready(function() {

    // console.log("passei 1");
    $("#dialog").dialog({
      autoOpen: false,
      modal: true
    });

    $("#dialog").dialog("open");

    $("#btn-fatura").click(function(){
      $("#validateCustom").attr('action', 'erpc_venda_rapida_ws.php');
      $("#validateCustom").submit();
      // window.open('http://localhost:90/erp/teste_print.php', '_blank', 'location=no,toolbar=0,width=50');
    });

    $("#btn-recibo").click(function(){
      // $("#dialog").dialog("close");
      $("#validateCustom").attr('action', 'erpc_venda_rapida_recibo2.php?titfin');
      $("#validateCustom").submit();
    });

  }(jQuery));
</script>
